From 3b1b8d596d756145b70dc9ff7dcc2de3cc47bfbb Mon Sep 17 00:00:00 2001
From: Evgeny Nerush <eugene.nerush@gmail.com>
Date: Thu, 14 Dec 2023 17:24:26 +0300
Subject: [PATCH 13/17] fix for Tor

---
 template_config_client.jsonc | 5 +++--
 template_config_server.jsonc | 6 ++++--
 2 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/template_config_client.jsonc b/template_config_client.jsonc
index dee5af4..d9f1f24 100644
--- a/template_config_client.jsonc
+++ b/template_config_client.jsonc
@@ -54,7 +54,8 @@
         "destOverride": [
           "http",
           "tls"
-        ]
+        ],
+        "routeOnly": true
       },
       // settings of inbound "protocol" (see above)
       "settings": {
@@ -75,7 +76,7 @@
           "http",
           "tls"
         ],
-        "routeOnly": false
+        "routeOnly": true
       },
       // settings of inbound "protocol" (see above)
       "settings": {
diff --git a/template_config_server.jsonc b/template_config_server.jsonc
index d186e4f..8fb66be 100644
--- a/template_config_server.jsonc
+++ b/template_config_server.jsonc
@@ -158,7 +158,8 @@
         "destOverride": [
           "http",
           "tls"
-        ]
+        ],
+        "routeOnly": true
       }
     },
     // extra inbound; its main purpose is to get fallback to "dest" at port 80. Many regular websites
@@ -216,7 +217,8 @@
         "destOverride": [
           "http",
           "tls"
-        ]
+        ],
+        "routeOnly": true
       }
     }
   ],

